/**
 * The Abiquo Platform
 * Cloud management application for hybrid clouds
 * Copyright (C) 2008 - Abiquo Holdings S.L.
 *
 * This application is free software; you can redistribute it and/or
 * modify it under the terms of the GNU LESSER GENERAL PUBLIC
 * LICENSE as published by the Free Software Foundation under
 * version 3 of the License
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * LESSER GENERAL PUBLIC LICENSE v.3 for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
package com.abiquo.ssm.model;

import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 * iSCSI address information.
 * 
 * @author Ignasi Barrera
 */
@XmlRootElement(name = "iscsi")
@XmlType(propOrder = {"portal", "port", "iqn", "lun"})
public class IscsiAddress
{
    private String portal;

    private Integer port;

    private String iqn;

    private Integer lun;

    public String getPortal()
    {
        return portal;
    }

    public void setPortal(final String portal)
    {
        this.portal = portal;
    }

    public Integer getPort()
    {
        return port;
    }

    public void setPort(final Integer port)
    {
        this.port = port;
    }

    public String getIqn()
    {
        return iqn;
    }

    public void setIqn(final String iqn)
    {
        this.iqn = iqn;
    }

    public Integer getLun()
    {
        return lun;
    }

    public void setLun(final Integer lun)
    {
        this.lun = lun;
    }

}
