/**
 * The Abiquo Platform
 * Cloud management application for hybrid clouds
 * Copyright (C) 2008 - Abiquo Holdings S.L.
 *
 * This application is free software; you can redistribute it and/or
 * modify it under the terms of the GNU LESSER GENERAL PUBLIC
 * LICENSE as published by the Free Software Foundation under
 * version 3 of the License
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * LESSER GENERAL PUBLIC LICENSE v.3 for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
package com.abiquo.ssm.model;

import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 * A storage pool.
 * 
 * @author Ignasi Barrera
 */
@XmlRootElement
@XmlType(propOrder = {"name", "sizeInMB", "usedInMB", "availableInMB"})
public class Pool
{
    private String name;

    private Long sizeInMB;

    private Long usedInMB;

    private Long availableInMB;

    public String getName()
    {
        return name;
    }

    public void setName(final String name)
    {
        this.name = name;
    }

    public Long getSizeInMB()
    {
        return sizeInMB;
    }

    public void setSizeInMB(final Long sizeInMB)
    {
        this.sizeInMB = sizeInMB;
    }

    public Long getUsedInMB()
    {
        return usedInMB;
    }

    public void setUsedInMB(final Long usedInMB)
    {
        this.usedInMB = usedInMB;
    }

    public Long getAvailableInMB()
    {
        return availableInMB;
    }

    public void setAvailableInMB(final Long availableInMB)
    {
        this.availableInMB = availableInMB;
    }

}
